gnutls_x509_crt_list_import(3)

NAME
gnutls_x509_crt_list_import - This function will import a PEM encoded certificate list

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_list_import(gnutls_x509_crt_t * certs, unsigned int * cert_max, const gnutls_datum_t * data, gnutls_x509_crt_fmt_t format, unsigned int flags);

ARGUMENTS

gnutls_x509_crt_t * certs
    The structures to store the parsed certificate. Must not be initialized.

unsigned int * cert_max
    Initially must hold the maximum number of certs. It will be updated with the number of certs available.

const gnutls_datum_t * data
    The PEM encoded certificate.

gnutls_x509_crt_fmt_t format
    One of DER or PEM.

unsigned int flags
    must be zero or an OR'd sequence of gnutls_certificate_import_flags.

DESCRIPTION
This function will convert the given PEM encoded certificate list to the native gnutls_x509_crt_t format. The output will be stored in certs. They will be automatically initialized. If the Certificate is PEM encoded it should have a header of "X509 CERTIFICATE", or "CERTIFICATE".

RETURNS
the number of certificates read or a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.